petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateHybridMesh

Create a mesh with hybrid cells along an internal interface

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateHybridMesh(DM dm, DMLabel label, DMLabel *hybridLabel, DM *dmHybrid)

Collective on dm

### Input Parameters

| dm | - The original DM
| labelName | - The label specifying the interface vertices

### Output Parameters

| hybridLabel | - The label fully marking the interface
| dmHybrid | - The new DM

### See Also

DMPlexConstructCohesiveCells(), DMPlexLabelCohesiveComplete(), DMCreate()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages